Bug 990362 - [One-off Patch] Combine support patches for BZ-974474, BZ-977522 and BZ-979103 for EAP 6.1.0
[One-off Patch] Combine support patches for BZ-974474, BZ-977522 and BZ-97910...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: One-off release
Assigned To: Brett Meyer
Zbyněk Roubalík
Russell Dickenson
:
Depends On: 974474 977522 979103
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 00:04 EDT by dstephan
Modified: 2015-09-01 00:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: BZ-990362 PRODUCT NAME: JBoss Enterprise Application Platform VERSION: 6.1.0 SHORT DESCRIPTION: "delete" with "member of" query fails @Id @OneToOne cause NullPointerException during query Multiple fixes for Hibernate unique keys and foreign keys LONG DESCRIPTION: "delete" with "member of" query fails https://hibernate.atlassian.net/browse/HHH-8318 @Id @OneToOne cause NullPointerException during query https://hibernate.atlassian.net/browse/HHH-6813 Identifier too long https://hibernate.atlassian.net/browse/HHH-1904 Configuration#generateSchemaUpdateScript does not create unique constraints https://hibernate.atlassian.net/browse/HHH-8092 Natural IDs generating one UniqueKey per Column https://hibernate.atlassian.net/browse/HHH-8178 Make unique constraint handling on schema update configurable https://hibernate.atlassian.net/browse/HHH-8162 Make generated constraint names short and non-random https://hibernate.atlassian.net/browse/HHH-8217 DenormalizedTable FK constraint names can be too long https://hibernate.atlassian.net/browse/HHH-8269 Incorrect "unique-key" naming comment in docs https://hibernate.atlassian.net/browse/HHH-8273 union-subclass generates bad alter table for unique constraint https://hibernate.atlassian.net/browse/HHH-8275 MANUAL INSTALL INSTRUCTIONS: Backup and remove the following files: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-core-4.2.0.Final-redhat-1.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml Extract the patched files by either: Using unzip: unzip -d $JBOSS_HOME/ BZ-990362 Or by extracting the files from the zip to the following locations: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-core-4.2.0.Final-redhat-1-BZ-990362.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml Instructions to uninstall: Restore the following files that were backed up before the patch was installed: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-core-4.2.0.Final-redhat-1.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml COMPATIBILITY: DEPENDENCIES: JBoss Enterprise Application Platform 6.1.0 SUPERSEDES: SUPERSEDED BY: CREATOR: Brett Meyer DATE: 31 July 2013
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-05 09:37:15 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patched hibernate module (3.99 MB, application/zip)
2013-07-31 11:27 EDT, Brett Meyer
no flags Details

  None (edit)
Description dstephan 2013-07-31 00:04:43 EDT
Description of problem:

Combine support patches for BZ-974474, BZ-977522 and BZ-979103 for EAP 6.1.0
Comment 2 Brett Meyer 2013-07-31 11:27:34 EDT
Created attachment 781197 [details]
patched hibernate module
Comment 3 Zbyněk Roubalík 2013-08-06 04:51:36 EDT
No regressions were found and the issue was verified. QA Passed. 

MD5 sum for tested files:
d4f150e9c1b640862ac1f158aaba1445  BZ-990362.zip
ccea6866ddf5f1d442402319af232369  hibernate-core-4.2.0.Final-redhat-1-BZ-990362.jar
2925a63659110c4ad59f4c1722176301  module.xml

Note You need to log in before you can comment on or make changes to this bug.